aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/dev-server7
-rwxr-xr-xbin/watch16
2 files changed, 18 insertions, 5 deletions
diff --git a/bin/dev-server b/bin/dev-server
index 86eeab7..e1faf14 100755
--- a/bin/dev-server
+++ b/bin/dev-server
@@ -1,8 +1,5 @@
#!/usr/bin/env bash
set -euo pipefail
+cd `dirname "$0"`/..
-python -m http.server --directory public 8000 &
-
-trap "fuser -k 8000/tcp" EXIT
-
-tsc --target ES2017 --watch
+nix develop --command bin/watch
diff --git a/bin/watch b/bin/watch
new file mode 100755
index 0000000..82686ae
--- /dev/null
+++ b/bin/watch
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+# Run server
+
+python -m http.server --directory public 8000 &
+trap "fuser -k 8000/tcp" EXIT
+
+# Watch TypeScript
+
+CHECK="echo Checking TypeScript… && tsc --checkJs"
+BUILD="esbuild --bundle src/main.ts --target=es2017 --outdir=public"
+watchexec \
+ --clear \
+ --watch src \
+ -- "$CHECK && $BUILD"